

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN kernel/sched.c~cputime-introduce-cputime-vs-move-accounting-function-calls-out-of-critical-vm-code-paths kernel/sched.c
--- 25/kernel/sched.c~cputime-introduce-cputime-vs-move-accounting-function-calls-out-of-critical-vm-code-paths	2005-01-05 18:44:09.000000000 -0800
+++ 25-akpm/kernel/sched.c	2005-01-05 18:57:12.312315600 -0800
@@ -48,6 +48,8 @@
 #include <linux/sysctl.h>
 #include <linux/syscalls.h>
 #include <linux/times.h>
+#include <linux/acct.h>
+
 #include <asm/tlb.h>
 
 #include <asm/unistd.h>
@@ -2388,6 +2390,8 @@ void account_system_time(struct task_str
 		cpustat->iowait = cputime64_add(cpustat->iowait, tmp);
 	else
 		cpustat->idle = cputime64_add(cpustat->idle, tmp);
+	acct_update_integrals(p);
+	update_mem_hiwater(p);
 }
 
 /*
_
